Update an organization's name
PUT
/auth/v1/memberships/{orgId}/nameUpdates the display name of the specified organization.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
orgId*string
Organization ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_auth.updateOrgNameBody",
"$ref-value": {
"properties": {
"full_name": {
"maxLength": 30,
"type": "string"
}
},
"required": [
"full_name"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.UpdateOrgNameResponse",
"$ref-value": {
"properties": {
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
}
},
"type": "object"
}
}curl -X PUT "https://api.rixl.com/auth/v1/memberships/string/name" \
-H "Content-Type: application/json" \
-d '{
"full_name": "string"
}'OK
application/json
{
"$ref": "#/components/schemas/authv1.UpdateOrgNameResponse",
"$ref-value": {
"properties": {
"first_name": {
"type": "string"
},
"last_name": {
"type": "string"
}
},
"type": "object"
}
}Accept or decline a pending membership PUT
Accepts or declines the authenticated user's pending invitation to the organization. Used from inside the dashboard; the public token flow is /auth/v1/invitations/{token}/accept|decline.
Update an organization's username PUT
Updates the unique username handle of the specified organization.